import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { MatAutocompleteModule, MatButtonModule, MatCardModule, MatCheckboxModule, MatChipsModule, MatDatepickerModule, MatDialogModule, MatExpansionModule, MatFormFieldModule, MatGridListModule, MatIconModule, MatInputModule, MatListModule, MatMenuModule, MatPaginatorModule, MatProgressSpinnerModule, MatRadioModule, MatSelectModule, MatSortModule, MatStepperModule, MatTableModule, MatTabsModule, MatTooltipModule } from '@angular/material';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { XdfLayoutsModule } from '@xdf/layouts';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgbModule, NgbPopoverModule } from '@ng-bootstrap/ng-bootstrap';
import { FlightRoutingModule } from './flight-routing.module';
import { FlightFormComponent } from './components/flight-form/flight-form.component';
import { FlightLegsGridComponent } from './components/flight-legs-grid/flight-legs-grid.component';
import { FlightLegDialogComponent } from './components/flight-leg-dialog/flight-leg-dialog.component';
import { DatepickerSelectComponent } from './components/datepicker-select/datepicker-select.component';



@NgModule({
  declarations: [
    FlightFormComponent,
    FlightLegsGridComponent,
    FlightLegDialogComponent,
    DatepickerSelectComponent
  ],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    MatTableModule,
    MatSortModule,
    MatIconModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatInputModule,
    MatFormFieldModule,
    MatDialogModule,
    NgScrollbarModule,
    XdfLayoutsModule,
    MatMenuModule,
    MatStepperModule,
    ScrollingModule,
    NgbPopoverModule,
    MatChipsModule,
    MatExpansionModule,
    MatListModule,
    MatAutocompleteModule,
    NgbModule,
    MatGridListModule,
    MatPaginatorModule,
    MatCheckboxModule,
    MatSelectModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatDialogModule,
    MatButtonModule,
    MatRadioModule,
    MatTooltipModule,
    MatTabsModule,
    MatDatepickerModule,
    FlightRoutingModule
  ],
  entryComponents: [
    FlightLegDialogComponent
  ]
})
export class FlightModule { }
