import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { RouterModule, Routes } from '@angular/router';
import { CrudDetailComponent, CrudGridComponent, DirtyGuard, RecordResolver, TemplateResolver } from '@xdf/gallery';
import { AuthGuard, ResourceAuthGuard } from '@xdf/security';
import { PaymentReservationFormComponent } from './components/payment-reservation-form/payment-reservation-form.component';



const routes: Routes = [
  {
    path: "payment-reservation", component: CrudGridComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: {Template: TemplateResolver},
    data: {
      innerTemplate: 'none',
      program: "payment-reservation",
      breadcrumb: "breadcrumb.payment"
    },
  },
  {
    path: 'payment-reservation/detail/:mode', component: PaymentReservationFormComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: {record: RecordResolver},
    data: {
      program: 'payment-reservation',
      breadcrumb: 'breadcrumb.flight.detail'
    }
  }
]

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [RouterModule]
})
export class PaymentReservationRoutingModule { }
