import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { PaymentReservationFormComponent } from './components/payment-reservation-form/payment-reservation-form.component';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { MatAutocompleteModule, MatButtonModule, MatCardModule, MatCheckboxModule, MatChipsModule, MatDatepickerModule, MatDialogModule, MatExpansionModule, MatFormFieldModule, MatGridListModule, MatIconModule, MatInputModule, MatListModule, MatMenuModule, MatPaginatorModule, MatProgressSpinnerModule, MatRadioModule, MatSelectModule, MatSortModule, MatStepperModule, MatTableModule, MatTabsModule, MatTooltipModule } from '@angular/material';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { XdfLayoutsModule } from '@xdf/layouts';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgbModule, NgbPopoverModule } from '@ng-bootstrap/ng-bootstrap';

import { PaymentReservationRoutingModule } from './payment-reservation-routing.module';
import { DatePickerPayComponent } from './components/date-picker-pay/date-picker-pay.component';



@NgModule({
  declarations: [PaymentReservationFormComponent, DatePickerPayComponent],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    MatTableModule,
    MatSortModule,
    MatIconModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatInputModule,
    MatFormFieldModule,
    MatDialogModule,
    NgScrollbarModule,
    XdfLayoutsModule,
    MatMenuModule,
    MatStepperModule,
    ScrollingModule,
    NgbPopoverModule,
    MatChipsModule,
    MatExpansionModule,
    MatListModule,
    MatAutocompleteModule,
    NgbModule,
    MatGridListModule,
    MatPaginatorModule,
    MatCheckboxModule,
    MatSelectModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatDialogModule,
    MatButtonModule,
    MatRadioModule,
    MatTooltipModule,
    MatTabsModule,
    MatDatepickerModule,
    PaymentReservationRoutingModule
  ]
})
export class PaymentReservationModule { }
