import { NgModule } from '@angular/core';
import { RouterModule, Routes } from '@angular/router';
import { CrudGridComponent, TemplateResolver } from '@xdf/gallery';
import { AuthGuard, ResourceAuthGuard } from '@xdf/security';



const routes: Routes = [
  {
    path: "payment", component: CrudGridComponent, canActivate: [AuthGuard, ResourceAuthGuard],
    resolve: {Template: TemplateResolver},
    data: {
      innerTemplate: 'none',
      program: "payment",
      breadcrumb: "breadcrumb.payment"
    },
  }
]

@NgModule({
  imports: [
    RouterModule.forChild(routes)
  ],
  exports: [RouterModule]
})
export class PaymentRoutingModule { }
