import { NgModule } from '@angular/core';
import { CommonModule } from '@angular/common';
import { FormsModule, ReactiveFormsModule } from '@angular/forms';
import { TranslateModule } from '@ngx-translate/core';
import { XdfGalleryModule } from '@xdf/gallery';
import { XdfSettingsModule } from '@xdf/settings';
import { MatAutocompleteModule, MatButtonModule, MatCardModule, MatCheckboxModule, MatChipsModule, MatDatepickerModule, MatDialogModule, MatExpansionModule, MatFormFieldModule, MatGridListModule, MatIconModule, MatInputModule, MatListModule, MatMenuModule, MatPaginatorModule, MatProgressSpinnerModule, MatRadioModule, MatSelectModule, MatSortModule, MatStepperModule, MatTableModule, MatTabsModule, MatTooltipModule } from '@angular/material';
import { NgScrollbarModule } from 'ngx-scrollbar';
import { XdfLayoutsModule } from '@xdf/layouts';
import { ScrollingModule } from '@angular/cdk/scrolling';
import { NgbModule, NgbPopoverModule } from '@ng-bootstrap/ng-bootstrap';
import { ReservationRoutingModule } from './reservation-routing.module';
import { ReservationFormComponent } from './components/reservation-form/reservation-form.component';
import { ReservationPassengerDialogComponent } from './components/reservation-passenger-dialog/reservation-passenger-dialog.component';
import { ReservationPassengerGridComponent } from './components/reservation-passenger-grid/reservation-passenger-grid.component';
import { ReservationFlightDialogComponent } from './components/reservation-flight-dialog/reservation-flight-dialog.component';
import { ReservationFlightGridComponent } from './components/reservation-flight-grid/reservation-flight-grid.component';
import { XdfCommonsModule } from '@xdf/commons';



@NgModule({
  declarations: [ReservationFormComponent, ReservationPassengerDialogComponent, ReservationPassengerGridComponent, ReservationFlightDialogComponent, ReservationFlightGridComponent],
  imports: [
    CommonModule,
    FormsModule,
    ReactiveFormsModule,
    TranslateModule,
    XdfGalleryModule,
    XdfSettingsModule,
    MatTableModule,
    MatSortModule,
    MatIconModule,
    MatPaginatorModule,
    MatTooltipModule,
    MatInputModule,
    MatFormFieldModule,
    MatDialogModule,
    XdfCommonsModule,
    NgScrollbarModule,
    XdfLayoutsModule,
    MatMenuModule,
    MatStepperModule,
    ScrollingModule,
    NgbPopoverModule,
    MatChipsModule,
    MatListModule,
    MatAutocompleteModule,
    MatExpansionModule,
    NgbModule,
    MatGridListModule,
    MatCheckboxModule,
    MatSelectModule,
    MatCardModule,
    MatProgressSpinnerModule,
    MatButtonModule,
    MatRadioModule,
    MatTabsModule,
    MatDatepickerModule,
    ReservationRoutingModule
  ],
  entryComponents: [
    ReservationPassengerDialogComponent,
    ReservationFlightDialogComponent
  ]
})
export class ReservationModule { }
