# XdfGallery
XDF / Component library for Angular

Código fuente: http://git.tbs.com:8888/XDF4JavaProjects/ng-byte-framework/tree/master/projects/xdf-gallery

## Table of Contents
* [Installation](#installation)
* [Usage](#usage)
* [API](#api)
* [FAQ](#faq)
* [History](#history)

## Installation

First you need to install the npm module:

```sh
npm install @xdf/gallery --save
```

## Usage

#### 1. Import the `XdfGallery`:

Finally, you can use xdf-gallery in your Angular project. You have to import `XdfGalleryModule` in the root NgModule of your application.

The [`forRoot`](https://angular.io/api/router/RouterModule#forroot) static method is a convention that provides and configures services at the same time.
Make sure you only call this method in the root module of your application, most of the time called `AppModule`.
This method allows you to configure the `XdfGalleryModule` by specifying a loader, a parser and/or a missing translations handler.

```ts
import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {XdfGalleryModule} from '@xdf/dyna-form';

@NgModule({
    imports: [
        BrowserModule,
        XdfGalleryModule
    ],
    bootstrap: [AppComponent]
})
export class AppModule { }
```

## Features
* Servicio para mostrar con ConfirmationDialog [Dialogs](./src/lib/views/dialogs)
* Galeria de componentes [Galeria](./src/lib/views/gallery)

## History
### v. 1.0.17
* Corrección de los metodos rest para invocar servicios de creación y  modificación

### v. 1.0.16
* Solución de problema en filtro para tipo enum

### v. 1.0.13 ... 1.0.15
* Se corrije validador para email
* Se agrega mensaje de confirmación al eliminar desde el detalle

### v. 1.0.12
* Al momento de crear un registro, se moverá a la grilla

### v. 1.0.11
* Al momento de crear un registro, se moverá a la grilla

### v. 1.0.10
* Validación de integridad referencial

## History
### v. 1.0.9
* Corrección para el eliminar desde el formulario.
* Se corrigió problema con el doble botón de filtro

### v. 1.0.8
* Se agregó el required.validator que no permite el ingreso de campos con solo espacios en blanco
* Se mejoró la validación de email para soportar 99.99% de posibilidades
* Se mejoró la validación de URL
* Se agregó validador para identificadores y nombres


### v. 1.0.7
* Los validadores se implementan pasando el valor en el body

### v. 1.0.6
* Nuevo validador para url. (UrlValidator)
* Se corrigió Iform para no activar el botón en el editar

### v. 1.0.5
* Se agregó mensaje de confirmación al momento de eliminar un registro. Se debe implementar en el proyecto las entradas (en los archivos de idioma de gallery)
    * "message.delete.ok": "Record {{ id }} has been deleted successfully"
    * "message.delete.ok": "El registro {{ id }} ha sido eliminado correctamente"
* Se cambiá los métodos el servicio dyna-service para que el crear utilice el método POST y el actualizar el PUT

### v. 1.0.4
* Corrección de bug: Cannot find a differ supporting object '[object Object]' of type 'object' en el componente autocomplete.
* Corrección de bug en el componente drag and drop.

### v. 0.3.9
* Se corrije problema cuando el formulario estaba siendo editado y se presiona el botón nuevo. El problema es que ignoraba la respuesta del dialog de confirmación. (B)
* Se añade componente para seleccionar periodo, disponible en todos los formularios como: monthpicker  (N)
* Se corrige estilos de los Dialog que se afectaban por otros dialogs (M)
* Se agregó al componente EditableDataTableEvent soporte a datepicker  (M)
* Se corrige problema para incluir los FormView directamente en el route (B)
* Se corrige problema donde el IFormView solo soportaba Id de tipo numérico (B)
* Se añade funcionalidad para cargar la información antes de mostrar la vista de detalle (M)
* Se añade soporte a los validadores remotos para poder llamar a servicio diferente del mantenimiento en el que se encuentre, agregando el atributo serviceURL (M)
* Capacidad para soportar style a nivel de controls en la sección de grupos en los archicos de Definición (M)
* Se añade a DataTabe de soporte para mostrar booleans, Date, DateTimes, Decimals (M)

### v. 0.3.8
* Se añade soporte a subtitulos en las vistas de grillas
### v. 0.3.5
* Los subtítulos de los mantenimientos ahora usan el font small
### v. 0.3.4
* Estilo para impedir que los labels en los botones de las grillas se dividan en múltiples líneas.
* Se agrega el atributo prefix al componente xdf-editable-data-table
### v. 0.3.3
* Corrección de estilos en los headers
### v. 0.0.3
* Se agregó al componente DataTable el atributo: showFilterBar
* Se exportaron los siguientes componentes: dyna-data.service, rsql-utils, ngx-tags-input.component, column.template, grid.template, control.template

### v. 0.0.2
* Se corrige problema en los filtros para soportar espacios en blanco

### v. 0.0.1
* El componente DynaForm soporta ahora Wizard y vista Standard
* Se implementan los componentes: Input ()
* Se implementa el componente Datatable
* Se creó el guard DirtyGuarda para validar formulario modificados
* Se creó el servicio ConfirmationDialogService
* Se crea el proyecto en base a la versión del proyecto xdf-gallery 0.0.3
* Se incluye una galería de componentes listos para el uso en formularios
