import { OnInit, ViewContainerRef, AfterViewInit, ComponentFactory, ComponentFactoryResolver, QueryList, EventEmitter } from '@angular/core';
import { GridColumn } from '../../../template/grid.template';
import { Pagination, NotificationService, StringToDatePipe, BooleanToStringPipe, LocalizedDatePipe } from '@xdf/commons';
import { DynaDataSource } from '../../crud/services/dyna.datasource';
import { TagFilter } from '../ngx-tags-input/model/tag-filter';
import { ColumnTemplate } from '../../../template/column.template';
import { Router, ActivatedRoute } from '@angular/router';
import { ConfirmationDialogService } from '../../dialogs/confirmation-dialog/services/confirmation-dialog.service';
import { MatPaginator } from '@angular/material/paginator';
import { DataService } from '../../crud/services/data.service';
import { FieldFilter } from '../ngx-tags-input/model/field-filter';
import { TranslateService } from '@ngx-translate/core';
import { MatSort } from '@angular/material/sort';
import { AuditDialogService } from '../../dialogs/audit-dialog/services/audit-dialog.service';
import { DatePipe, DecimalPipe } from '@angular/common';
import { SelectionModel } from '@angular/cdk/collections';
export declare class DataTableComponent implements OnInit, AfterViewInit {
    protected route: ActivatedRoute;
    protected router: Router;
    private translate;
    protected vcRef: ViewContainerRef;
    protected confirmationDialogService: ConfirmationDialogService;
    protected notificationService: NotificationService;
    protected auditDialogService: AuditDialogService;
    private resolver;
    private stringToDate;
    private datePipe;
    private decimalPipe;
    private booleanToString;
    private localizedDate;
    paginator: MatPaginator;
    sort: MatSort;
    templates: QueryList<any>;
    componentRef: any;
    programIdentifier: string;
    fieldId: string;
    dataService: DataService;
    resourceAuth: {};
    columnTemplateArray: ColumnTemplate[];
    sortColumn: string;
    sortDirection: any;
    pagingSize: any;
    showFilterBar: boolean;
    definitionReport: any;
    expandRow: boolean;
    showActions: boolean;
    innerContent: any;
    defaultFilters: Array<TagFilter>;
    innerFactory: ComponentFactory<any>;
    choosedOption: EventEmitter<any>;
    selection: SelectionModel<any>;
    editMultiple: boolean;
    pagination: Pagination;
    dataSource: DynaDataSource;
    filterTags: any[];
    displayedColumns: string[];
    additionalColumns: GridColumn[];
    fieldFilters: FieldFilter[];
    displayedColumnsTemp: string[];
    additionalOptions: any[];
    expandedElement: any;
    constructor(route: ActivatedRoute, router: Router, translate: TranslateService, vcRef: ViewContainerRef, confirmationDialogService: ConfirmationDialogService, notificationService: NotificationService, auditDialogService: AuditDialogService, resolver: ComponentFactoryResolver, stringToDate: StringToDatePipe, datePipe: DatePipe, decimalPipe: DecimalPipe, booleanToString: BooleanToStringPipe, localizedDate: LocalizedDatePipe);
    ngAfterViewInit(): void;
    ngOnInit(): void;
    clickAddionalOption(item: any, option: any): void;
    addColumn(column: GridColumn): void;
    optionClicked(option: string): void;
    onFilter(tags: Array<TagFilter>): void;
    private completeDefaultFilters;
    onNewRecord(): void;
    onDeleteRecord(record: object): void;
    showAudit(record: object): void;
    onRowEdited(record: object): void;
    onRowClicked(record: object): void;
    onRefresh(): void;
    private saveParameters;
    private savePageSizeParameter;
    isOdd(index: any): boolean;
    expandClick(item: any): void;
    getValue(item: any, columnTemplate: ColumnTemplate): any;
    getClassText(item: any, columnTemplate: ColumnTemplate): any;
    getClassCol(item: any, columnTemplate: ColumnTemplate): "text-right" | "text-center" | "text-left";
    getStyleText(colStyle: any, item: any): any;
    isAllSelected(): boolean;
    /** Selects all rows if they are not all selected; otherwise clear selection. */
    masterToggle(): void;
}
