import { ViewContainerRef } from '@angular/core';
import { FormGroup } from '@angular/forms';
import { Router, ActivatedRoute } from '@angular/router';
import { TranslateService } from '@ngx-translate/core';
import { NotificationService, InitCommonsService } from '@xdf/commons';
import { DynaDataService, AuditDialogService, ConfirmationDialogService, IFormView } from '@xdf/gallery';
import { NavigationService } from '@xdf/layouts';
import { UserRoleAccessComponent } from './user-role-access/user-role-access.component';
export declare class Program {
    constructor(name: string);
    name: string;
    controls: Array<Control>;
    allow: boolean;
}
export declare class Control {
    constructor(name: string);
    name: string;
    allow: boolean;
}
export declare class UserRoleFormComponent extends IFormView {
    protected vcRef: ViewContainerRef;
    protected route: ActivatedRoute;
    protected router: Router;
    protected dynaDataService: DynaDataService;
    protected translate: TranslateService;
    protected notificationService: NotificationService;
    protected auditDialogService: AuditDialogService;
    protected confirmationDialogService: ConfirmationDialogService;
    protected navigationService: NavigationService;
    protected init: InitCommonsService;
    access: UserRoleAccessComponent;
    data: Array<Program>;
    icon: string;
    serviceURL: string;
    private dirtyAccessDetail;
    constructor(vcRef: ViewContainerRef, route: ActivatedRoute, router: Router, dynaDataService: DynaDataService, translate: TranslateService, notificationService: NotificationService, auditDialogService: AuditDialogService, confirmationDialogService: ConfirmationDialogService, navigationService: NavigationService, init: InitCommonsService);
    ngOnInit(): void;
    submit(): void;
    protected getFields(): FormGroup;
    protected disabledCondition(controlName?: any): boolean;
    protected postActionNew(): void;
    updateDirty(): void;
    isDirty(): boolean;
}
